Subject: Re: recursive nosedive in gcc/make,configure:solution
From: [email-masked] (Geoffrey Noer)

12 Jun 1997 12:28:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Tom)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Tom" at Jun 11, 97 10:10:14 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Tom wrote:
[...]
> NOTE:::::the b18 release wont work with the old dll. find it, kill it,
> try again!

This is certainly true.  As we add to the cygwin.dll, old executables
will continue to work (unless we have to make an incompatible change
sometime in the future which we'll try very hard to avoid) with the new
cygwin.dll.  New executables may depend on features not present in
older cygwin.dlls and are not guaranteed to work although they might.

> the old dll is ~4mb, the new .5mb.

beta 18 cygwin.dll doesn't contain debugging information which is
why it's so much smaller.  The other sections are almost certainly larger
rather than smaller.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".